#!/bin/bash

# scan_full1.sh
# Scan all hosts on the network.
# by Javantea aka. Joel R. Voss
# Nov 11-13, 2005

IP='192.168.0.*'
PING_FILE='ping1'
PORT_FILE='port1_'
# Ping hosts in range.
# There is a bug in --randomize_hosts that puts hosts down.
nmap -sP -oX $PING_FILE.xml --host_timeout 1000 $IP

# Execute the output of parse_ping. Runs nmap -sS. You need to be root.
python parse_ping1.py $PING_FILE.xml $PORT_FILE > ${PING_FILE}a.sh
sh ${PING_FILE}a.sh

# Run parse_port to show you what happened.
for file in $PORT_FILE*; do
	python parse_port1.py $file
done


